INSERT INTO CalendarWeek( 
	 CalendarWeekId 
	,CalendarWeekName 
) 
SELECT DISTINCT 
	 strftime('%Y', date(d, '-3 days', 'weekday 4')) || 
		SUBSTR('00' || 
			((strftime('%j', date(d, '-3 days', 'weekday 4')) - 1) / 7 + 1), -2, 2) 
	,'Week ' || 
		SUBSTR('00' || 
			((strftime('%j', date(d, '-3 days', 'weekday 4')) - 1) / 7 + 1), -2, 2) 
			|| ' ' || strftime('%Y', date(d, '-3 days', 'weekday 4')) 
FROM _c 
WHERE 
	NOT EXISTS ( 
		SELECT 1 
		FROM CalendarWeek AS cw 
		WHERE strftime('%Y', date(d, '-3 days', 'weekday 4')) || 
			SUBSTR('00' || 
				((strftime('%j', date(d, '-3 days', 'weekday 4')) - 1) / 7 + 1), -2, 2) = cw.CalendarWeekId 
	);