INSERT INTO CalendarWeekSunday( 
	 CalendarWeekSundayId 
	,CalendarWeekSundayName 
	,CountOfDays
) 
SELECT DISTINCT 
	 strftime('%Y', date(d, '-3 days', 'weekday 3')) || 
		SUBSTR('00' || 
			((strftime('%j', date(d, '-3 days', 'weekday 3')) - 1) / 7 + 1), -2, 2) 
	,'Week ' || 
		SUBSTR('00' || 
			((strftime('%j', date(d, '-3 days', 'weekday 3')) - 1) / 7 + 1), -2, 2) 
			|| ' ' || strftime('%Y', date(d, '-3 days', 'weekday 3')) 
	,0
FROM _c
WHERE 
	NOT EXISTS ( 
		SELECT 1 
		FROM CalendarWeekSunday AS cw 
		WHERE strftime('%Y', date(d, '-3 days', 'weekday 3')) || 
			SUBSTR('00' || 
				((strftime('%j', date(d, '-3 days', 'weekday 3')) - 1) / 7 + 1), -2, 2) = cw.CalendarWeekSundayId 
	);