INSERT INTO CalendarDate( 
	 CalendarDateId 
	,CalendarDate 
	,CalendarWeekId 
	,CalendarMonthId 
	,CalendarWeekdayId 
	,CalendarWeekSundayId
) 
SELECT 
	 strftime('%Y%m%d', d) 
	,d 
	,strftime('%Y', date(d, '-3 days', 'weekday 4')) || 
		SUBSTR('00' || 
			((strftime('%j', date(d, '-3 days', 'weekday 4')) - 1) / 7 + 1), -2, 2) 
	,strftime('%Y%m', d) 
	,CASE 
		WHEN strftime('%w', d) = '0' THEN '7' 
		ELSE strftime('%w', d) 
	 END
	,strftime('%Y', date(d, '-3 days', 'weekday 3')) || 
		SUBSTR('00' || 
			((strftime('%j', date(d, '-3 days', 'weekday 3')) - 1) / 7 + 1), -2, 2) 
FROM _c 
WHERE 
	NOT EXISTS ( 
		SELECT 1 
		FROM CalendarDate AS cd 
		WHERE strftime('%Y%m%d', d) = cd.CalendarDateId 
	);