UPDATE CalendarWeekSunday
SET CountOfDays = COALESCE((
	SELECT
		COUNT(1) AS CountOfDays
	FROM CalendarWeekSunday AS cw
		INNER JOIN CalendarDate AS cd
			ON cw.CalendarWeekSundayId = cd.CalendarWeekSundayId
	WHERE cw.CalendarWeekSundayId = CalendarWeekSunday.CalendarWeekSundayId
	GROUP BY cw.CalendarWeekSundayId
),0)
WHERE CountOfDays = 0 OR CountOfDays IS NULL;