CREATE TABLE Habit(
	 HabitId				INTEGER 	NOT NULL	PRIMARY KEY		AUTOINCREMENT
	,HabitTypeId			INTEGER 	NOT NULL	REFERENCES HabitType(HabitTypeId)
	,HabitCategoryId		INTEGER		NOT NULL	REFERENCES HabitCategory(HabitCategoryId)
	,ColourId				INTEGER		NOT NULL	REFERENCES Colour(ColourId)
	,HabitName				TEXT		NOT NULL	UNIQUE
	,HabitDescription		TEXT		NOT NULL
	,HabitOrder				INTEGER		NOT NULL	DEFAULT(0)
	,HabitDefaultValue		REAL		NOT NULL	DEFAULT(0)
	,CurrentStreakValue		INTEGER		NOT NULL	DEFAULT(0)
	,IsActive				INTEGER		NOT NULL	DEFAULT(1)
	,DateModified			TEXT		NOT NULL	DEFAULT(CURRENT_TIMESTAMP)
);