CREATE TABLE HabitDetail(
	 HabitDetailId			INTEGER		NOT NULL	PRIMARY KEY		AUTOINCREMENT
	,HabitId				INTEGER		NOT NULL	REFERENCES Habit(HabitId)
	,StreakOperatorId		INTEGER		NOT NULL	REFERENCES StreakOperator(StreakOperatorId)
	,Grain					REAL		NOT NULL	DEFAULT(0.0)
	,MaxThreshold			REAL		NOT NULL	DEFAULT(0.0)
	,MinThreshold			REAL		NOT NULL	DEFAULT(0.0)
	,StreakBound			REAL		NOT NULL	DEFAULT(0)
	,IsIncreasePositive		INTEGER		NOT NULL	DEFAULT(0)
	,IsRangeBound			INTEGER		NOT NULL	DEFAULT(0)
	,IsCurrent				INTEGER		NOT NULL	DEFAULT(1)
	,EffectiveFrom			TEXT		NOT NULL	DEFAULT(DATE(CURRENT_TIMESTAMP))
	,EffectiveTo			TEXT		NOT NULL	DEFAULT(DATE('9999-12-31'))
	,DateModified			TEXT		NOT NULL	DEFAULT(CURRENT_TIMESTAMP)
);