CREATE TABLE Goal(
	 GoalId					INTEGER		NOT NULL	PRIMARY KEY		AUTOINCREMENT
	,HabitId				INTEGER		NOT NULL	REFERENCES Habit(HabitId)
	,GoalTypeId				INTEGER		NOT NULL	REFERENCES GoalType(GoalTypeId)
	,GoalOccurrenceValue	INTEGER		NOT NULL	DEFAULT(1)
	,IsCurrent				INTEGER		NOT NULL	DEFAULT(1)
	,EffectiveFrom			TEXT		NOT NULL	DEFAULT(DATE(CURRENT_TIMESTAMP))
	,EffectiveTo			TEXT		NOT NULL	DEFAULT(DATE('9999-12-31'))
	,DateModified			TEXT		NOT NULL	DEFAULT(CURRENT_TIMESTAMP)
);