CREATE TABLE CommentMapping(
	 CommentMappingId		INTEGER		NOT NULL	PRIMARY KEY		AUTOINCREMENT
	,CalendarDateId			INTEGER		NOT NULL	REFERENCES CalendarDate(CalendarDateId)
	,HabitId				INTEGER		NOT NULL	REFERENCES Habit(HabitId)
	,CommentId				INTEGER		NOT NULL	REFERENCES Comment(CommentId)
	,DateModified			TEXT		NOT NULL	DEFAULT(CURRENT_TIMESTAMP)
	,UNIQUE(CalendarDateId, HabitId)
);