UPDATE CalendarYear
SET CountOfDays = (
	SELECT
		COUNT(1) AS CountOfDays
	FROM CalendarYear AS cy
		INNER JOIN CalendarMonth AS cm
			ON cy.CalendarYearId = cm.CalendarYearId
		INNER JOIN CalendarDate AS cd
			ON cm.CalendarMonthId = cd.CalendarMonthId
	WHERE cy.CalendarYearId = CalendarYear.CalendarYearId
	GROUP BY cy.CalendarYearId
)
WHERE CountOfDays = 0;