INSERT INTO CalendarMonth( 
	 CalendarMonthId 
	,CalendarYearId 
	,CalendarMonthName 
) 
SELECT DISTINCT 
	 strftime('%Y%m', d) 
	,strftime('%Y', d) 
	,CASE 
		WHEN strftime('%m', d) = '01' THEN 'January' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '02' THEN 'February' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '03' THEN 'March' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '04' THEN 'April' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '05' THEN 'May' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '06' THEN 'June' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '07' THEN 'July' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '08' THEN 'August' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '09' THEN 'September' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '10' THEN 'October' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '11' THEN 'November' || ' ' || strftime('%Y', d)
		WHEN strftime('%m', d) = '12' THEN 'December' || ' ' || strftime('%Y', d)
	 END 
FROM _c 
WHERE NOT EXISTS ( 
	SELECT 1 
	FROM CalendarMonth AS cm 
	WHERE strftime('%Y%m', _c.d) = cm.CalendarMonthId 
);