UPDATE HabitDetail 
SET MinThreshold = ( 
		SELECT MIN(Value) 
		FROM HabitData hd 
		WHERE hd.HabitId = HabitDetail.HabitId 
	), 
	MaxThreshold = ( 
		SELECT MAX(Value) 
		FROM HabitData hd 
		WHERE hd.HabitId = HabitDetail.HabitId 
	) 
WHERE 
	EXISTS( 
		SELECT 1 
		FROM HabitType ht 
			INNER JOIN Habit h 
				ON ht.HabitTypeId = h.HabitTypeId 
		WHERE (HabitTypeName = 'Real' 
			OR HabitTypeName = 'Integer') 
			AND HabitDetail.HabitId = h.HabitId 
	) 
	AND EXISTS ( 
		SELECT 1 
		FROM Habit h 
                    INNER JOIN HabitData hd 
                        ON h.HabitId = hd.HabitId 
		WHERE HabitDetail.HabitId = h.HabitId 
	);