CREATE TABLE Reminder(
	 ReminderId					INTEGER		NOT NULL	PRIMARY KEY		AUTOINCREMENT
	,HabitId					INTEGER		NOT NULL	REFERENCES Habit(HabitId)
	,CalendarWeekdayId			INTEGER		NOT NULL	REFERENCES CalendarWeekday(CalendarWeekdayId)
	,IsRecurring				INTEGER		NOT NULL	DEFAULT(0)
	,StartTime					INTEGER		NOT NULL
	,EndTime					INTEGER		NOT NULL
	,DailyRecurringInterval		INTEGER		NOT NULL	DEFAULT(0)
	,IntraDayRecurringInterval	INTEGER		NOT NULL	DEFAULT(0)
	,IsSoundEnabled				INTEGER		NOT NULL	DEFAULT(0)
	,IsVibrateEnabled			INTEGER		NOT NULL	DEFAULT(0)
	,IsDisabledOnSuccessfulDay	INTEGER		NOT NULL	DEFAULT(0)
	,IsActive					INTEGER		NOT NULL	DEFAULT(1)
	,DateModified				TEXT		NOT NULL	DEFAULT(CURRENT_TIMESTAMP)
);