INSERT INTO Reminder(
	 HabitId
	,CalendarWeekdayId
	,IsRecurring
	,StartTime
	,EndTime
	,DailyRecurringInterval
	,IntraDayRecurringInterval
	,IsSoundEnabled
	,IsVibrateEnabled
	,IsDisabledOnSuccessfulDay
	,IsActive
)
SELECT
	 hd.HabitId
	,gwd.CalendarWeekdayId
	,0
	,strftime('%H', time(hd.ReminderTime))*3600 + strftime('%M', time(hd.ReminderTime))*60
	,0
	,0
	,0
	,0
	,0
	,0
	,1
FROM HabitDetail hd
	INNER JOIN Goal g
		ON hd.HabitId = g.HabitId
	INNER JOIN GoalWeekday gwd
		ON g.GoalId = gwd.GoalId
WHERE hd.isReminderEnabled = 1;